﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>IIS Windows</title>
<style type="text/css">

</style>
</head>
<body>

    <button id="CreateSub">Create subscription</button>
    <button id="CreatePayment">Create payment</button>
    <div id="dibs-complete-checkout"> </div>
    <script src="https://test.checkout.dibspayment.eu/v1/checkout.js?v=1"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script>
        $("#CreateSub").on('click', function () {
            myorder = {
                consumerType: null,
                currency: "DKK",
                endDate: "2020-07-18T00:00:00+00:00",
                immediateCharge: false,
                interval: 0,
                items: [
                    {
                        reference: "ref001",
                        name: "testSub",
                        quantity: 1,
                        unit: "Zealots",
                        unitPrice: 400,
                        taxRate: 25,
                        netTotalAmount: 400,
                    }
                ],
                merchantHandlesSHippingCost: false,
                merchantNumber: null,
                orderReference: "My zealotsz belong to chili Jul",
                shippingCountries:
                    [

                    ],
                url: "http://clearcutgames.net:8080/checkout.html",
            };

            $.ajax({
                url: 'http://matana.monosoft.dk/api/dibs/v1/CreateSubscription',
                type: "POST",
                contentType: "application/json; charset=utf-8",
                headers: { 'TokenId': '6fe68e8a-14b0-4bd6-bc10-ce43b46d8596' },
                data: JSON.stringify(myorder),
                dataType: 'json',
                success: function (data) {
                    console.log(data);
                    paymentID = JSON.stringify(data);
                    var obj = jQuery.parseJSON(jQuery.parseJSON(paymentID).data);
                    paymentID = obj.paymentId;
                    initCheckout(paymentID);
                }
            });
        });
         $("#CreatePayment").on('click', function () {
            myorder = {
                consumerType: null,
                currency: "DKK",
                items: [
                    {
                        reference: "ref001",
                        name: "testSub",
                        quantity: 1,
                        unit: "Zealots",
                        unitPrice: 400,
                        taxRate: 25,
                        netTotalAmount: 400,
                    }
                ],
                merchantHandlesSHippingCost: false,
                merchantNumber: null,
                orderReference: "My single payments dec",
                shippingCountries:
                    [

                    ],
                url: "http://clearcutgames.net:8080/checkout.html",
            };

            $.ajax({
                url: 'http://matana.monosoft.dk/api/dibs/v1/CreatePayment',
                type: "POST",
                contentType: "application/json; charset=utf-8",
                headers: { 'TokenId': '6fe68e8a-14b0-4bd6-bc10-ce43b46d8596' },
                data: JSON.stringify(myorder),
                dataType: 'json',
                success: function (data) {
                    console.log(data);
                    paymentID = JSON.stringify(data);
                    var obj = jQuery.parseJSON(jQuery.parseJSON(paymentID).data);
                    paymentID = obj.paymentId;
                    initCheckout(paymentID);
                }
            });
        });
        var checkoutOptions =
        {
            checkoutKey: "test-checkout-key-1e4b48cade4345459db0542ee8097cd0", //[Required] Test or Live GUID with dashes
            paymentId: "02ab00005e4509e37575a9146c67e77a", //[required] GUID without dashes
            merchantNumber: null,
            containerId: "dibs-complete-checkout", //[optional] defaultValue: dibs-checkout-content
            language: "en-GB",//[optional] defaultValue: en-GB
            theme:
            { // [optional] - will change defaults in the checkout
                textColor: "blue", // any valid css color
                linkColor: "#bada55", // any valid css color
                panelTextColor: "rgb(125, 125, 125)", // any valid css color
                panelLinkColor: "#0094cf", // any valid css color
                primaryColor: "#0094cf", // any valid css color
                buttonRadius: "50px", // pixel or percentage value
                buttonTextColor: "#fff", // any valid css color
                backgroundColor: "#eee", // any valid css color
                panelColor: "#fff", // any valid css color
                outlineColor: "#444", // any valid css color
                primaryOutlineColor: "#444", // any valid css color
            }

        };
        function initCheckout(paymentid) {
            checkoutOptions.paymentId = paymentid;
            var checkout = new Dibs.Checkout(checkoutOptions);

            //this is the event that the merchant should listen to redirect to the “payment-is-ok” page

            checkout.on('payment-completed', function (response) {
                /*
                Response:
                               paymentId: string (GUID without dashes)
                */
                window.location = '/PaymentSuccessful';
            });
        }
    </script>
</body>
</html>